=== debian/changelog ===
maint-guide (1.2.49) unstable; urgency=medium

  * po: update de by Holger Wansing.
  * Stop building epub since it causes FTBR.
  * Work around DocBook source generation issue by dropping URL link
    in the legal block.  Closes: #1008399

 -- Osamu Aoki <osamu@debian.org>  Tue, 26 Apr 2022 20:29:10 +0900

maint-guide (1.2.48) unstable; urgency=medium

  * Update dquilt.  Closes: Bug#882809

 -- Osamu Aoki <osamu@debian.org>  Sun, 27 Feb 2022 22:11:14 +0900
