## maint-guide 1.2.50

=== debian/changelog ===
maint-guide (1.2.50) unstable; urgency=medium

  * Use date from d/changelog for reproducible build.

 -- Osamu Aoki <osamu@debian.org>  Sun, 08 May 2022 10:03:56 +0900
