## maint-guide 1.2.51

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,11 @@
 LANGALL	=	en $(LANGPO)
 
 VERSION := "GIT: $(shell LC_ALL=C date -u +'%F %T %Z')"
+
+# set SOURCE_DATE_EPOCH if unset (when not called from debhelper)
+SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)
+# date in changelog
+SOURCE_DATE := $(shell date -u +'%F %T %Z' --date=@$(SOURCE_DATE_EPOCH))
 
 ifndef TMPDIR
 TMPDIR	:= $(CURDIR)/tmp
@@ -115,7 +120,7 @@
 # version from debian/changelog
 # if for www-master directly building from subversion source
 version.ent: $(DOCS)
-	echo "<!ENTITY docisodate \"$(shell LC_ALL=C date -u +'%F %T %Z')\">" > version.ent
+	echo "<!ENTITY docisodate \"$(SOURCE_DATE)\">" > version.ent
 	echo "<!ENTITY docversion \"$(VERSION)\">" >> version.ent
 
 #######################################################################
@@ -301,7 +306,3 @@
 
 #######################################################################
 ### Utility targets
-#######################################################################
-#######################################################################
-# $ make rsync
-# export build result to http://people.debian.org/~osamu/$(MANUAL)/
