=== debian/changelog ===
maint-guide (1.2.51) unstable; urgency=medium

  * Mention source-only upload issue.  Closes: #1015785

 -- Osamu Aoki <osamu@debian.org>  Thu, 21 Jul 2022 22:08:39 +0900
