## maint-guide 1.2.53

=== Makefile ===
--- 
+++ 
@@ -45,8 +45,7 @@
 XPINC	:=	xsltproc --novalid --nonet --xinclude
 # The threshold should be 80 if translation is completed.
 THRESHOLD:=	0
-TRANSLATE:=	po4a-translate  -M utf-8          --format docbook --keep $(THRESHOLD) -v
-GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
+PO4A	:=	po4a -v
 UPDATEPO:=	msgmerge --update --previous
 MSGATTR	:=	msgattrib
 MSGCAT	:=	msgcat
@@ -60,7 +59,7 @@
 # source PO files for all languages (build prcess requires these)
 SRC_PO	:=	$(addsuffix .po, $(addprefix  $(DPO)/, $(LANGPO)))
 # source XML files for all languages (build prcess requires these)
-SRC_XML	:=	$(addsuffix .xml, $(addprefix  $(MANUAL)., $(LANGALL)))
+SRC_XML	:=	$(addsuffix .xml, $(addprefix  $(MANUAL)., $(LANGPO)))
 
 #######################################################################
 # Used as $(call check-command, <command>, <package>)
@@ -98,11 +97,10 @@
 #######################################################################
 .PHONY: clean
 clean:
-	-rm -f $(MANUAL).en.xml
+	-rm -f $(addsuffix .xml, $(addprefix $(MANUAL)., *))
 	-rm -f *.swp *~ *.tmp
 	-rm -f $(DPO)/*~ $(DPO)/*.mo $(DPO)/*.po.*
 	-rm -rf $(TMPDIR)
-	-rm -f $(addsuffix .xml, $(addprefix $(MANUAL)., $(LANGPO) en))
 	-rm -f version.ent
 
 #######################################################################
@@ -111,7 +109,6 @@
 .PHONY: distclean
 distclean: clean
 	-rm -f $(DDOC)/*~
-	-rm -f $(DPO)/*.pot
 	-rm -f fuzzy.log
 
 ##############################################################################
@@ -126,39 +123,31 @@
 #######################################################################
 # $ make po        # update all PO from EN.XML
 #######################################################################
-.PHONY: po pot
-pot: $(DPO)/templates.pot
-po: $(SRC_PO)
-
-# Do not record line number to avoid useless diff in po/*.po files: --no-location
-# Do not update templates.pot if contents are the same as before; -I '^"POT-Creation-Date:'
-$(DPO)/templates.pot: $(MANUAL).en.xml FORCE
-	@$(call check-command, po4a-gettextize, po4a)
-	@$(call check-command, msgcat, gettext)
-	$(GETTEXT) -m $(MANUAL).en.xml | $(MSGCAT) --no-location -o $(DPO)/templates.pot.new -
-	if diff -I '^"POT-Creation-Date:' -q $(DPO)/templates.pot $(DPO)/templates.pot.new ; then \
-	  echo "Don't update templates.pot" ;\
-	  touch $(DPO)/templates.pot ;\
-	  rm -f $(DPO)/templates.pot.new ;\
-	else \
-	  echo "Update templates.pot" ;\
-	  mv -f $(DPO)/templates.pot.new $(DPO)/templates.pot ;\
-	fi
+
+# Always update POs and XMLs with po4a, then create fuzzy.log
+fuzzy.log:
+	@$(call check-command, msgmerge, gettext)
+	touch -t 200001010000 $(DPO)/templates.pot
+	$(PO4A) po4a.cfg
 	: > fuzzy.log
-
-# Always update
-$(DPO)/%.po: $(DPO)/templates.pot FORCE
-	@$(call check-command, msgmerge, gettext)
-	$(UPDATEPO) $(DPO)/$*.po $(DPO)/templates.pot
-	MESS1="no-obsolete  $*  `$(MSGATTR) --no-obsolete  $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
-	MESS2="untranslated $*  `$(MSGATTR) --untranslated $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
-	MESS3="fuzzy        $*  `$(MSGATTR) --fuzzy        $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
+	for f in $(LANGPO); do \
+ 	sed -i -e "s/$(DPO)\/en\.ent/$(DPO)\/$$f.ent/" $(MANUAL).$$f.xml ; \
+	MESS1="no-obsolete  $$f  `$(MSGATTR) --no-obsolete  $(DPO)/$$f.po |grep ^msgid |sed 1d|wc -l`";\
+	MESS2="untranslated $$f  `$(MSGATTR) --untranslated $(DPO)/$$f.po |grep ^msgid |sed 1d|wc -l`";\
+	MESS3="fuzzy        $$f  `$(MSGATTR) --fuzzy        $(DPO)/$$f.po |grep ^msgid |sed 1d|wc -l`";\
 	echo "$$MESS1" >>fuzzy.log ; \
 	echo "$$MESS2" >>fuzzy.log ; \
 	echo "$$MESS3" >>fuzzy.log ; \
-	echo "" >>fuzzy.log
-
-FORCE:
+	echo "" >>fuzzy.log ;\
+	done
+
+.PHONY: po
+po: fuzzy.log
+$(SRC_PO): fuzzy.log
+
+.PHONY: xml
+xml: fuzzy.log
+$(SRC_XML): fuzzy.log
 
 #######################################################################
 # $ make wrap       # wrap all PO
@@ -185,18 +174,10 @@
 #######################################################################
 # $ make xml      # update all *.xml (EN.XML ...) from DOCS /ENT/PO/ADD
 #######################################################################
-.PHONY: xml
-xml: $(SRC_XML)
 
 $(MANUAL).en.xml: $(DOCS)
 	: > $@
 	for i in $(DOCS) ; do cat $$i >> $@ ; done
-
-$(MANUAL).%.xml: $(DPO)/%.po $(MANUAL).en.xml
-	@$(call check-command, po4a-translate, po4a)
-	@$(call check-command, msgcat, gettext)
-	$(DBIN)/genxml $*
-	sed -i -e 's/$(DPO)\/en\.ent/$(DPO)\/$*.ent/' $@
 
 #######################################################################
 # $ make css       # update CSS and DIMG in $(TMPDIR)
@@ -306,3 +287,25 @@
 
 #######################################################################
 ### Utility targets
+#######################################################################
+#######################################################################
+# $ make rsync
+# export build result to http://people.debian.org/~osamu/$(MANUAL)/
+#######################################################################
+.PHONY: rsync
+rsync: all
+	-rm -rf $(TMPDIR)/pdf-*
+	-rm -rf $(TMPDIR)/tex-*
+	-rm -rf $(TMPDIR)/epub-*
+	cp -f fuzzy.log $(TMPDIR)/
+	rsync -avz $(TMPDIR)/ osamu@people.debian.org:public_html/$(MANUAL)/
+
+#######################################################################
+# $ make url       # check duplicate URL references
+#######################################################################
+.PHONY: url
+url: $(MANUAL).en.xml
+	@echo "----- Duplicate URL references (start) -----"
+	-sed -ne "/^<\!ENTITY/s/<\!ENTITY \([^ ]*\) .*$$/\" \1 \"/p"  < $< | uniq -d | xargs -n 1 grep $< -e  | grep -e "^<\!ENTITY"
+	@echo "----- Duplicate URL references (end) -----"
+
