=== po/Makefile ===
main:
	msgfmt -v -o /dev/null zh-cn.po
