=== debian/changelog ===
maint-guide (1.2.53) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * po: update de by Helge Kreutzmann.

  [ Osamu Aoki ]
  * Correct changelog.  Closes: #1021106

 -- Osamu Aoki <osamu@debian.org>  Sat, 08 Oct 2022 12:52:48 +0900

maint-guide (1.2.52) unstable; urgency=medium

  * Use po4a command.  Closes: #1020198
  * Update zh-tw.po by filling missing up-to-date translation
    from zh-cn.po .

 -- Osamu Aoki <osamu@debian.org>  Wed, 28 Sep 2022 23:23:21 +0900
