=== debian/control ===
Source: maint-guide
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Uploaders:
 Josip Rodin <joy-packages@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 dblatex,
 docbook-xml,
 docbook-xsl,
 fonts-liberation2,
 fonts-vlgothic,
 fonts-wqy-microhei,
 lmodern,
 locales-all | locales,
 opencc,
 po4a,
 texlive-lang-chinese,
 texlive-lang-cyrillic,
 texlive-lang-french,
 texlive-lang-german,
 texlive-lang-italian,
 texlive-lang-japanese,
 texlive-lang-other,
 texlive-lang-spanish,
 texlive-xetex,
 w3m,
 xsltproc,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/maint-guide.git
Vcs-Browser: https://salsa.debian.org/debian/maint-guide
Homepage: https://www.debian.org/doc/devel-manuals#maint-guide

Package: maint-guide
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package

Package: maint-guide-ca
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Catalan)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Catalan translation.

Package: maint-guide-de
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (German)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is German translation.

Package: maint-guide-es
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Spanish)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Spanish translation.

Package: maint-guide-fr
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (French)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is French translation.

Package: maint-guide-it
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Italian)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Italian translation.

Package: maint-guide-ja
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Japanese)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Japanese translation.

Package: maint-guide-ru
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Russian)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Russian translation.

Package: maint-guide-vi
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Vietnamese)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Vietnamese translation.

Package: maint-guide-zh-cn
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Chinese(cn))
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Chinese(cn) translation.

Package: maint-guide-zh-tw
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Chinese(tw))
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Chinese(tw) translation.
