=== debian/tests/control ===
Test-Command: grep -qe "Debian New Maintainers' Guid" /usr/share/doc/maint-guide/html/index.en.html
Depends: @
