## maint-guide 1.2.53build1

=== debian/changelog ===
maint-guide (1.2.53build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 16 Dec 2025 19:30:30 +0000
